<template>
  <div class="col">
    <div class="card card-cover h-100 overflow-hidden text-white bg-dark rounded-5 shadow-lg" style="background-image: url('unsplash-photo-1.jpg');">
      <div class="d-flex flex-column h-100 p-5 pb-3 text-white text-shadow-1">
        <h2 class="pt-5 mt-5 mb-4 display-6 lh-1 fw-bold">{{ name }}</h2>
        <ul class="d-flex list-unstyled mt-auto">
          <li class="me-auto">
            <base-badge v-for="category_ in category" :key="category_" :type="category_" :title="category_"></base-badge>
          </li>
          <li class="d-flex align-items-center me-3">
            <small>{{ price }} € par heure</small>
          </li>
          <li class="d-flex align-items-center">          
            <router-link :to="serviceDetailsLink" class="btn btn-outline-light">Afficher</router-link>
          </li>
          
        </ul>
      </div>
    </div>
  </div>

</template>

<script>
export default {
  props: ['id', 'name', 'price', 'category','provider'],
  computed: {
    serviceContactLink() {
      return this.$route.path + '/' + this.id + '/contact'; // /services/c1/contact
    },
    serviceDetailsLink() {
      return this.$route.path + '/' + this.id; // /services/c1
    },
  },
};
</script>

<style scoped>
.color-hint-button {
  background: teal;
}
.b-example-divider {
  height: 3rem;
  background-color: rgba(0, 0, 0, .1);
  border: solid rgba(0, 0, 0, .15);
  border-width: 1px 0;
  box-shadow: inset 0 .5em 1.5em rgba(0, 0, 0, .1), inset 0 .125em .5em rgba(0, 0, 0, .15);
}

.bi {
  vertical-align: -.125em;
  fill: currentColor;
}

.feature-icon {
  display: inline-flex;
  align-items: center;
  justify-content: center;
  width: 4rem;
  height: 4rem;
  margin-bottom: 1rem;
  font-size: 2rem;
  color: #fff;
  border-radius: .75rem;
}

.icon-link {
  display: inline-flex;
  align-items: center;
}
.icon-link > .bi {
  margin-top: .125rem;
  margin-left: .125rem;
  transition: transform .25s ease-in-out;
  fill: currentColor;
}
.icon-link:hover > .bi {
  transform: translate(.25rem);
}

.icon-square {
  display: inline-flex;
  align-items: center;
  justify-content: center;
  width: 3rem;
  height: 3rem;
  font-size: 1.5rem;
  border-radius: .75rem;
}

.rounded-4 { border-radius: .5rem; }
.rounded-5 { border-radius: 1rem; }

.text-shadow-1 { text-shadow: 0 .125rem .25rem rgba(0, 0, 0, .25); }
.text-shadow-2 { text-shadow: 0 .25rem .5rem rgba(0, 0, 0, .25); }
.text-shadow-3 { text-shadow: 0 .5rem 1.5rem rgba(0, 0, 0, .25); }

.card-cover {
  background-repeat: no-repeat;
  background-position: center center;
  background-size: cover;
}
</style>